/**
 * Autores  Perséfone <persefone@usp.br>, Perseu <perseu@usp.br> e Apolo <apolo@usp.br>
 * versao 1.0
 *
 * DESCRICAO
 *
 * Implementa funções para manipulação do mundo dos blocos.
 * 
 * COMPILAR
 * gcc -Wall main.c -o main
 */

/******************************************************************************/
/* BIBLIOTECAS                                                                */
/******************************************************************************/
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include "debug.h"
#include "TBlocos.h"

/******************************************************************************/
/* MAIN                                                                       */
/******************************************************************************/
int main(int argc, char** argv){
	
	//Verifica se foram passados arquivos de entrada e saída
	if(argc != 3){
		printf("Uso: %s entrada.txt saida.txt\n", argv[0]);
		return -1;
	}
	
	//Ponteiros para arquivos de entrada e saída de dados
	FILE *pEntrada, *pSaida;
	
	//Abre arquivo de entrada
	pEntrada = fopen (argv[1] , "r");
	
	//Abre arquivo de saída
	pSaida = fopen (argv[2] , "w");
	
	//Verifica se os arquivos foram abertos com sucesso
	if ((pEntrada == NULL) || (pSaida == NULL)){
		char msg[200];
		sprintf(msg, "Erro ao abrir o(s) arquivo(s): %s e/ou %s", argv[1], argv[2]);
		perror (msg);
		return -1;
	}
	else {
		////////////////////////////////////////////////////////////////
		//ToDo: Implementar o resto do programa aqui
		////////////////////////////////////////////////////////////////
	}
	
	
    //Fecha os arquivos abertos
    fclose(pEntrada);
    fclose(pSaida);
    
    
    //Exemplo de utilização da macro para imprimir mensagens de erro
    DEBUG_MSG("Utilize esta mensagem para detectar erros no seu código.");
    foo(2);
    
    
    return 0;
}
